#
# type: bool
# name: EDGE_TARGET_AUTOSDK__WITH_CUSTOM_PLATES
# desc:
#
export EDGE_TARGET_AUTOSDK__WITH_CUSTOM_PLATES=0

if [ "${EDGE_TARGET_AUTOSDK__WITH_CUSTOM_PLATES}" -eq 1 ]; then
  export VPW_TREAT_SYMBOLS_AS_TEXT=1
  export VPW_DIFF_WITH_GEOMETRY=0
fi

#
# type: bool
# name: EDGE_TARGET_AUTOSDK__WITH_NN_PLATE_DETECTOR
# desc:
#
export EDGE_TARGET_AUTOSDK__WITH_NN_PLATE_DETECTOR=1

if [ "${EDGE_TARGET_AUTOSDK__WITH_NN_PLATE_DETECTOR}" -eq 1 ]; then
  export VPW_DNN_DEVICES=[pd-2:igpu,lsd:cpu,ssd:cpu]
  export VPW_PLATECANDS_METHODS=4
  export VPW_PLATECANDS_BY_DNN_VARIATE=0
  export VPW_PLATE_ANALYSE_METHODS=32
fi

#
# https://www.intel.com/content/www/us/en/docs/dpcpp-cpp-compiler/developer-guide-reference/2023-0/thread-affinity-interface.html
#
export KMP_AFFINITY=granularity=fine,compact,1,0

#
# https://www.openmp.org/spec-html/5.0/openmpse50.html
#
export OMP_NUM_THREADS=1

#
# type: string[]
# name: VPW_DNN_DEVICES
# capi: VodiCTL_VPW_DNN_DEVICES
# desc: A space-delimited list of devices on which the Deep Neural Network will run.
# vers: 2.9.0 - 2.17.0
# vals: CPU, iGPU, nvGPU, MYRIAD
#
#export VPW_DNN_DEVICES=iGPU

#
# type: int
# name: VPW_PLATECANDS_METHODS
# capi: VodiCTL_VPW_PLATECANDS_METHODS
# desc: A set of methods for obtaining plate candidates.
# vers: 2.9.0 - 2.17.0
# vals:
#     VodiF_VPW_PLATECANDS_BY_MORPH          0x1   (since AutoSDK  2.9.0)
#     VodiF_VPW_PLATECANDS_BY_1_DNN          0x2   (since AutoSDK  2.9.0)
#     VodiF_VPW_PLATECANDS_BY_2_DNN          0x4
#     VodiF_VPW_PLATECANDS_BY_DNN            0x2   (since AutoSDK  2.9.0)
#     VodiK_VPW_PLATECANDS_METHODS_DEFAULT   0x1   (since AutoSDK  2.9.0)
#
#export VPW_PLATECANDS_METHODS=4

#
# type: bool
# name: VPW_PLATECANDS_BY_DNN_VARIATE
#
#export VPW_PLATECANDS_BY_DNN_VARIATE=0

#
# type: int
# name: VPW_PLATE_ANALYSE_METHODS
# capi: VodiCTL_VPW_PLATE_ANALYSE_METHODS
# desc: A set of methods for analysing candidates for license plates.
# vers: 2.9.0 - 2.17.0
# vals:
#   VodiF_VPW_BLURAN                          0x1
#   VodiF_VPW_NAN                             0x2
#   VodiF_VPW_TMPLAN                          0x4
#   VodiF_VPW_DNN1AN                          0x8
#   VodiF_VPW_DNNAN                           0x8
#   VodiF_VPW_OTSUAN                          0x10
#   VodiF_VPW_DNN2AN                          0x20
#   VodiK_VPW_PLATE_ANALYSE_METHODS_DEFAULT   0x7
#
#export VPW_PLATE_ANALYSE_METHODS=13
#export VPW_PLATE_ANALYSE_METHODS=32

#
# type: bool
# name: VPW_TREAT_PLATECAND_AS_PLATE
# desc: Treat the plate candidate as a plate.
#
#export VPW_TREAT_PLATECAND_AS_PLATE=1
